List products
GET
apiToken catalog:readheader
AuthorizationBearer <token>A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.
Scope: catalog:read
Operation completed or accepted; asynchronous actions may still be running.
application/json- response
items*array<>curl -X GET 'https://api.deluxhost.net/v1/catalog/products' \ -H "Authorization: Bearer $DELUXHOST_TOKEN"Example Response
{ "items": [ { "id": 0, "groupId": 0, "slug": "string", "name": "string", "description": "string", "type": "string", "cpu": "string", "ram": "string", "disk": "string", "secondaryDisk": "string", "bandwidth": "string", "specs": {}, "ipv4Count": 0, "extraIpv4": { "monthlyCents": 0, "max": 0 }, "pricing": [ { "id": 0, "cycle": "string", "priceCents": 0, "setupFeeCents": 0 } ], "group": { "id": 0, "slug": "string", "name": "string", "description": "string", "prepayEnabled": true }, "inStock": true } ]}